import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

import '../flutter_techlify_core.dart';

class AsyncValueWidget<T> extends StatelessWidget {
  const AsyncValueWidget({Key key, @required this.value, @required this.data})
      : super(key: key);
  // input async value
  final AsyncValue<T> value;
  // output builder function
  final Widget Function(T) data;

  @override
  Widget build(BuildContext context) {
    return value.when(
      data: data,
      loading: () => kDebugMode
          ? Center(child: CircularProgressIndicator())
          : LoaderAnimation(),
      error: (e, st) => Center(
        child: Text(
          e.toString(),
          style:
              Theme.of(context).textTheme.headline6.copyWith(color: Colors.red),
        ),
      ),
    );
  }
}
